Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::MainWindowFacade Class Reference

Facade of QMainWindow. More...

`#include <Controller.h>`

List of all members.

## Public Member Functions

- MainWindowFacade ()
- MainWindowFacade (QMainWindow *mainWindow, QToolBar *toolBar, QToolBar *interactorsToolBar, QWorkspace *workspace)
- QWidget * getParentWidget ()
- QMenuBar * getMenuBar ()
- QToolBar * getToolBar ()
- QToolBar * getInteractorsToolBar ()
- QWorkspace * getWorkspace ()
- QStatusBar * getStatusBar ()
- void addDockWidget (Qt::DockWidgetArea area, QDockWidget *dockWidget)
- void removeDockWidget (QDockWidget *dockWidet)
    Remove a dock widget from the QMainWindow.
- void tabifyDockWidget (QDockWidget *first, QDockWidget *second)
- std::vector< std::pair
  < QDockWidget *, QDockWidget * > > getTabifiedDockWidget ()
- void setCorner (Qt::Corner corner, Qt::DockWidgetArea area)
- void setDockOptions (QMainWindow::DockOptions options)
- QWidget * centralWidget () const
- void addToolBar (Qt::ToolBarArea area, QToolBar *toolBar)
- Qt::DockWidgetArea dockWidgetArea (QDockWidget *dock)
- QByteArray saveState (int version=0)
- bool restoreState (const QByteArray &state, int version=0)

## Detailed Description

Facade of QMainWindow.

This class provide a facade of QMainWindow It is used by Controller to acces to QMainWindow

## Constructor & Destructor Documentation

tlp::MainWindowFacade::MainWindowFacade | ( |  | ) |

basic constructor : no use it

tlp::MainWindowFacade::MainWindowFacade | ( | QMainWindow * | mainWindow,
|  | QToolBar * | toolBar,
|  | QToolBar * | interactorsToolBar,
|  | QWorkspace * | workspace
| ) |  |

default constructor

## Member Function Documentation

void tlp::MainWindowFacade::addDockWidget | ( | Qt::DockWidgetArea | area,
|  | QDockWidget * | dockWidget
| ) |  | `[inline]`

Add a dock widget to QMainWindow This function call QMainWindow::addDockWidget(Qt::DockWidgetArea,QDockWidget)

void tlp::MainWindowFacade::addToolBar | ( | Qt::ToolBarArea | area,
|  | QToolBar * | toolBar
| ) |  | `[inline]`

Add a new custom toolbar on a side of the main Window.

QWidget* tlp::MainWindowFacade::centralWidget | ( |  | ) | const`[inline]`

Qt::DockWidgetArea tlp::MainWindowFacade::dockWidgetArea | ( | QDockWidget * | dock | ) | `[inline]`

QToolBar* tlp::MainWindowFacade::getInteractorsToolBar | ( |  | ) | `[inline]`

get interators tool bar

Returns:
  the interactors tool bar

QMenuBar* tlp::MainWindowFacade::getMenuBar | ( |  | ) | `[inline]`

get menu bar

Returns:
  the menu bar

QWidget* tlp::MainWindowFacade::getParentWidget | ( |  | ) | `[inline]`

Get the parent widget : use it as parent if you want to create a QDialog (for example)

Warning:
  QWidget returned is QMainWindow but for prevent segfault don't use it as QMainWindow

QStatusBar* tlp::MainWindowFacade::getStatusBar | ( |  | ) | `[inline]`

get status bar

Returns:
  the status bar

std::vector<std::pair<QDockWidget *,QDockWidget *> > tlp::MainWindowFacade::getTabifiedDockWidget | ( |  | ) | `[inline]`

Return couple of tabified QDockWidget

QToolBar* tlp::MainWindowFacade::getToolBar | ( |  | ) | `[inline]`

get tools bar

Returns:
  the tool bar

QWorkspace* tlp::MainWindowFacade::getWorkspace | ( |  | ) | `[inline]`

get workspace

Returns:
  the workspace

void tlp::MainWindowFacade::removeDockWidget | ( | QDockWidget * | dockWidet | ) | `[inline]`

Remove a dock widget from the QMainWindow.

bool tlp::MainWindowFacade::restoreState | ( | const QByteArray & | state,
|  | int | version = `0`
| ) |  | `[inline]`

QByteArray tlp::MainWindowFacade::saveState | ( | int | version = `0` | ) | `[inline]`

void tlp::MainWindowFacade::setCorner | ( | Qt::Corner | corner,
|  | Qt::DockWidgetArea | area
| ) |  | `[inline]`

Set the given dock widget area to occupy the specified corner.

void tlp::MainWindowFacade::setDockOptions | ( | QMainWindow::DockOptions | options | ) | `[inline]`

void tlp::MainWindowFacade::tabifyDockWidget | ( | QDockWidget * | first,
|  | QDockWidget * | second
| ) |  | `[inline]`

Moves second dock widget on top of first dock widget, creating a tabbed docked area

Tulip Software by LaBRI Visualization Team 2001 - 2012